using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Helper
{
    public class LocaPath : Singleton<LocaPath>
    {
        public string FilePath { get; set; } = string.Empty;

        public string Getpath(string name)
        {
            Directory.CreateDirectory(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, $"{FilePath}\\JSON"));
            return $"{AppDomain.CurrentDomain.BaseDirectory}{FilePath}JSON\\{name}.json";
        }

        public string GetDeviceConfigPath
        {
            get
            {
                Directory.CreateDirectory(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, $"AccessFile\\DeviceConfig"));
                return $"{AppDomain.CurrentDomain.BaseDirectory}AccessFile\\DeviceConfig\\";
            }
        }

    }
}
